/* header css starts */

.cust_header_cls{
    position: sticky !important;
    top: 0px;
    z-index: 10;
    height: 0px;
}

.intersection-header{
    height: 200px;
    position: absolute;
    top: 0px;
    width: 100%;
    z-index: -10;
    opacity: 0;
}

#masthead{
    margin: 0 auto;
    padding: 29px 40px 0px 40px;
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: none;
    transition: padding-top 0.5s ease, background-color 0.5s ease, box-shadow 0.5s ease, transform 0.5s ease;
}

#masthead.header-scrolled{
    padding-top: 0px;
    background-color: #FFFFFF;
    box-shadow: 0px 4px 4px 0px #66666626;
}

.header-container{
    width: 100%;
    display: flex;
    max-width: 1570px;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0px;
}

/* make header white on 404 page start */
.error404 #masthead{
    padding: 0px 40px 0px 40px;
    background-color: #FFFFFF;
    box-shadow: 0px 4px 4px 0px #66666626;
}

.error404 #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link{
    color: #000000;
}

.error404 .truwipe-header-logo-black{
    display: block;
}

.error404 .truwipe-header-logo-white{
    display: none;
}

/* make header white on 404 page end */

/* make header white on blog posts start */

.single-post #masthead{
    padding: 0px 40px 0px 40px;
    background-color: #FFFFFF;
    box-shadow: 0px 4px 4px 0px #66666626;
}

.single-post #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link{
    color: #000000;
}

.single-post .truwipe-header-logo-black{
    display: block;
}

.single-post .truwipe-header-logo-white{
    display: none;
}

/* make header white on blog posts ends */

.header-container #site-navigation{
    margin: 0px;
    max-width: none;
}

.truwipe-header-logo{
    margin: 0px;
}

.truwipe-header-logo .custom-logo-link{
    height: auto;
    display: inline-block;
}

.truwipe-header-logo img{
    width: 214px;
}

#mmenu_cust_btn{
    display: none;
}

/* contact us button animation css start */

.mega-request-quote{
    animation: shake 4s cubic-bezier(.36, .07, .19, .97) both infinite;
}

/* contact us button in header will vibrate left and right periodically */
@keyframes shake {
    40%, 50%, 60% {
        transform: translate3d(-3px, 0, 0);
    }
    45%, 55% {
        transform: translate3d(3px, 0, 0);
    }
    0%, 10%, 20%, 30%, 70%, 80%, 90%, 100% {
        transform: translate3d(0, 0, 0);
    }
}

/* contact us button animation css ends */

/* header hide and show on scroll css starts */

.truwipe-header-hidden{
    transform: translateY(-101%);
}

#masthead.truwipe-header-hidden{
    box-shadow: none !important;
    background-color: transparent !important;
}

/* header hide and show on scroll css ends */

/* header css ends */

/* mega menu css starts */

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link{
    font-family: Poppins;
    font-weight: 500 !important;
    font-size: 18px;
    line-height: 26px;
    height: auto;
    color: #ffffff;
    transition: color 0.3s ease, text-decoration 0.3s ease;
}

#masthead.header-scrolled #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link{
    color: #000000;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-current-menu-item a.mega-menu-link,
#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link:hover{
    color: #F15B2C !important;
    text-decoration: underline !important;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link:focus{
    background-color: transparent !important;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-current-menu-ancestor a.mega-menu-link{
    color: #F15B2C !important;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link:hover{
    background-color: transparent !important;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote{
    background-color: #F15B2C !important;
    padding: 0px !important;
    border-radius: 25px !important;
    margin-right: 0px !important;
    transition: color 0.3s ease, background-color 0.3s ease;
    cursor: pointer;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote .mega-menu-link{
    padding: 12px 40px !important;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote a.mega-menu-link{
    font-size: 16px !important;
    color: #ffffff !important;
    text-decoration: none !important;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote:hover{
    background-color: #ffffff !important;
    box-shadow: 0px 3px 6.6px 0px #00000040;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote:hover a.mega-menu-link{
    color: #F15B2C !important;
    text-decoration: none !important;
}

#mega-menu-wrap-max_mega_menu_1 .mega-sub-menu{
    min-width: 120px !important;
    padding: 10px !important;
    box-shadow: -3px 6px 9px 1px #0000001A !important;
}

.mega-sub-menu li.mega-menu-item a{
    width: max-content !important;
    font-size: 16px !important;
    color: #000000 !important;
}

.mega-sub-menu, .mega-sub-menu li.mega-menu-item{
    width: fit-content !important;
}

.mega-sub-menu{
    padding: 20px !important;
    border-radius: 10px !important;
    top: 40px !important;
}

.truwipe-header-logo-white, .truwipe-header-logo-black{
    width: 214px;
}

.truwipe-header-logo-white{
    display: block;
}

.truwipe-header-logo-black{
    display: none;
}

#masthead.header-scrolled .truwipe-header-logo-white{
    display: none;
}

#masthead.header-scrolled .truwipe-header-logo-black{
    display: block;
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 > li.mega-menu-item{
    margin-right: 30px;
}

/* mega menu css ends */

/* media query starts */
@media only screen and (max-width: 1536px){
    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link{
        font-size: 18px;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 > li.mega-menu-item{
        margin-right: 30px;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote{
        padding: 0px !important;
        border-radius: 23px !important;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote .mega-menu-link{
        padding: 10px 30px !important;
    }

    .truwipe-header-logo img{
        width: 180px;
    }
}

@media only screen and (max-width: 1366px){
    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote{
        border-radius: 20px !important;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote a.mega-menu-link{
        font-size: 14px !important;
        line-height: 1.4em !important;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link{
        font-size: 16px;
    }

    #masthead {
        padding: 20px 40px 0px 40px;
    }

    .truwipe-header-logo img {
        width: 170px;
    }

    .header-container {
        padding: 12px 0px;
    }
}

@media only screen and (max-width: 1280px){
    
}
    

@media only screen and (max-width: 1279px){
    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 > li.mega-menu-item{
        margin-right: 30px;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1{
        display: flex;
        align-items: center;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link{
        text-wrap: nowrap;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote {
        padding: 0px !important;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-request-quote .mega-menu-link{
        padding: 10px 20px !important;
    }

    #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item a.mega-menu-link {
        font-size: 16px;
    }

    .header-container{
        padding: 12px 0px;
    }
}

@media only screen and (max-width: 1024px){
    #mmenu_cust_btn{
        display: block;
        width: 30px;
        height: 30px;
    }

    #site-navigation{
        display: none;
    }

    #mmenu_cust_btn a.nav-open{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 30px;
        height: 30px;
    }

    .nav-open .inner{
        position: relative;
        height: 2px;
        width: 18px;
    }

    .nav-open .menu-line-top,
    .nav-open .menu-line-middle,
    .nav-open .menu-line-bottom {
        background-color: white;
        content: "";
        display: block;
        height: 2px;
        width: 18px;
        position: absolute;
        transition: top 0.5s ease, transform 0.5s ease;
    }

    #masthead.header-scrolled .nav-open .menu-line-top,
    #masthead.header-scrolled .nav-open .menu-line-middle,
    #masthead.header-scrolled .nav-open .menu-line-bottom {
        background-color: #000000;
    }

    .error404 #masthead .nav-open .menu-line-top, 
    .error404 #masthead .nav-open .menu-line-middle, 
    .error404 #masthead .nav-open .menu-line-bottom {
        background-color: #000000;
    }

    .single-post #masthead .nav-open .menu-line-top, 
    .single-post #masthead .nav-open .menu-line-middle, 
    .single-post #masthead .nav-open .menu-line-bottom {
        background-color: #000000;
    }

    .nav-open .menu-line-top {
        top: -6px;
    }

    .nav-open .menu-line-bottom {
        top: 6px;
    }

    body.mm-wrapper--opened .nav-open .menu-line-top{
        top: 0px;
        transform: rotate(45deg);
    }

    body.mm-wrapper--opened .nav-open .menu-line-bottom{
        top: 0px;
        transform: rotate(-45deg);
    }

    body.mm-wrapper--opened .nav-open .menu-line-middle{
        opacity: 0;
    }

    .header-container{
        max-width: 880px;
        border-radius: 26px;
        padding: 14px 0px;
    }

    /* header css on 404 page and single post page */
    .error404 #masthead, .single-post #masthead {
        padding: 0px 16px 0px 16px;
    }

    #masthead {
        padding: 20px 16px 0px 16px;
    }

    .mm-navbar .wpmm-header-image{
        margin: 30px 0px !important;
        background-size: 200px;
    }

    .truwipe-header-logo img {
        width: 180px;
    }

    .intersection-header {
        height: 150px;
    }
}

@media only screen and (max-width: 767px){
    .header-container {
        border-radius: 20px;
        padding: 10px 0px;
        max-width: 100%;
    }

    .truwipe-header-logo img {
        width: 150px !important;
    }

    #masthead {
        padding: 20px 16px 0px 16px;
    }

    #masthead.header-scrolled {
        padding-top: 10px;
    }

    .mm-navbar .wpmm-header-image{
        margin: 20px 0px !important;
        background-size: 180px;
    }

    .intersection-header {
        height: 100px;
    }
}